import React, { useState, useEffect } from 'react';
import './index.less';

export default ({ isOpen, changeSwitch }) => {
  const cb = () => {
    changeSwitch(!isOpen);
  };

  return (
    <div className="box" onClick={cb}>
      <div className={`content ${isOpen ? null : 'closeBg'}`}>
        <div className={`point  ${isOpen ? null : 'closePt'}`}></div>
      </div>
    </div>
  );
};
